色々なことを徒然と……

かえでBlog

OS linux

【CentOS7】cmake3インストール

libzipソースインストールしようとするとcmake3が必要になった

libzipをソースインストールしようとしたら

CMake Error at CMakeLists.txt:4 (CMAKE_MINIMUM_REQUIRED):
  CMake 3.0.2 or higher is required.  You are running version 2.8.12.2

cmake -DCMAKE_INSTALL_PREFIX=/opt/libzip/1.5.2

と表示されたため、cmake3をソースインストールすることに。
といっても特に特別なこといらないんですけどね。

 

ダウンロード&インストール

こちらよりダウンロードできます。

[root@local /]#mkdir /usr/local/src/cmake
[root@local /]#cd /usr/local/src/cmake
[root@local cmake]# wget https://github.com/Kitware/CMake/releases/download/v3.15.2/cmake-3.15.2.tar.gz
[root@local cmake]# cd cmake-3.15.2
[root@local cmake-3.15.2]# mkdir /opt/cmake
[root@local cmake-3.15.2]# ./configure --prefix=/opt/cmake/3.15.2/
[root@local cmake-3.15.2]# make
[root@local cmake-3.15.2]# make install

##バージョン確認
[root@kaede cmake-3.15.2]# /opt/cmake/3.15.2/bin/cmake --version
cmake version 3.15.2

CMake suite maintained and supported by Kitware (kitware.com/cmake).

 

雑感

単純インストールなので何も戸惑うものはないです。

ただし、cmake3はC++11を使っているため、CentOS6だと別途gccのインストールも必要になるみたいなので注意
(CentOS7はC++11使えます)

-OS, linux
-, ,

Copyright© かえでBlog , 2019 All Rights Reserved.